package com.kamco.cd.training.common.enums;

import com.kamco.cd.training.common.utils.enums.EnumType;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum LearnDataRegister implements EnumType {
  READY("준비"),
  UPLOADING("업로드중"),
  UPLOAD_FAILED("업로드 실패"),
  COMPLETED("완료");

  private final String desc;

  @Override
  public String getId() {
    return name();
  }

  @Override
  public String getText() {
    return desc;
  }
}
